SUPPORT

Q&A Board/Contact

Opus#2_1.02.04

Author
Nikita
Date
2019-04-01 09:07
Views
27
Good day.

I upgraded Opus #2 to 1.02.04 and noticed that vol. not enough for records as 24 bit/96 kHz and higher (especially DSD). Everything was fine, when buying player. I hope that can be downgraded to default firmware 1.02.02, didn't it? Really don't want to purchase balanced cable or amplifier. Thanks for your help.